"""
Recip -- Sage package for using Shimura's reciprocity law

See the file README.txt for version information and instructions.

#*****************************************************************************
# Copyright (C) 2010, 2011, 2012, 2013 Marco Streng <marco.streng@gmail.com>
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#*****************************************************************************

"""

load_attach_mode(load_debug=True)

load("https://bitbucket.org/mstreng/recip/raw/master/basic.sage")
load("https://bitbucket.org/mstreng/recip/raw/master/polynomials.sage")
load("https://bitbucket.org/mstreng/recip/raw/master/symplectic_matrices.sage")
load("https://bitbucket.org/mstreng/recip/raw/master/period_matrices.sage")
load("https://bitbucket.org/mstreng/recip/raw/master/theta_trans.sage")
load("https://bitbucket.org/mstreng/recip/raw/master/cm_types.sage")
load("https://bitbucket.org/mstreng/recip/raw/master/find_class_invariant.sage")
load("https://bitbucket.org/mstreng/recip/raw/master/igusa_invariants.sage")
load("https://bitbucket.org/mstreng/recip/raw/master/list_fields.sage")
load("https://bitbucket.org/mstreng/recip/raw/master/denominators.sage")
load("https://bitbucket.org/mstreng/recip/raw/master/class_polynomials.sage")
load("https://bitbucket.org/mstreng/recip/raw/master/orders.sage")
load("https://bitbucket.org/mstreng/recip/raw/master/bissonstreng.sage")

recip_verbose = 0

def set_recip_verbose(level):
    """
    Sets the verbosity level for the Recip package.
    """
    global recip_verbose
    recip_verbose = level

def get_recip_verbose():
    """
    Returns the verbosity level for the Recip package.
    """
    try:
        return recip_verbose
    except NameError:
        recip_verbose = 0
        return 0
    
